| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Functions
Query I/O API backends registry
Video I/O

## Detailed Description

This section contains API description how to query/configure available Video I/O backends.

Runtime configuration options:

- enable debug mode: `OPENCV_VIDEOIO_DEBUG=1`
- change backend priority: `OPENCV_VIDEOIO_PRIORITY_<backend>=9999`
- disable backend: `OPENCV_VIDEOIO_PRIORITY_<backend>=0`
- specify list of backends with high priority (>100000): `OPENCV_VIDEOIO_PRIORITY_LIST=FFMPEG,GSTREAMER`

## Functions
cv::String | cv::videoio_registry::getBackendName (VideoCaptureAPIs api)
| Returns backend API name or "UnknownVideoAPI(xxx)".
std::vector< VideoCaptureAPIs > | cv::videoio_registry::getBackends ()
| Returns list of all available backends.
std::string | cv::videoio_registry::getCameraBackendPluginVersion (VideoCaptureAPIs api, int &version_ABI, int &version_API)
| Returns description and ABI/API version of videoio plugin's camera interface.
std::vector< VideoCaptureAPIs > | cv::videoio_registry::getCameraBackends ()
| Returns list of available backends which works via `cv::VideoCapture(int index)`
std::string | cv::videoio_registry::getStreamBackendPluginVersion (VideoCaptureAPIs api, int &version_ABI, int &version_API)
| Returns description and ABI/API version of videoio plugin's stream capture interface.
std::vector< VideoCaptureAPIs > | cv::videoio_registry::getStreamBackends ()
| Returns list of available backends which works via `cv::VideoCapture(filename)`
std::string | cv::videoio_registry::getWriterBackendPluginVersion (VideoCaptureAPIs api, int &version_ABI, int &version_API)
| Returns description and ABI/API version of videoio plugin's writer interface.
std::vector< VideoCaptureAPIs > | cv::videoio_registry::getWriterBackends ()
| Returns list of available backends which works via `cv::VideoWriter()`
bool | cv::videoio_registry::hasBackend (VideoCaptureAPIs api)
| Returns true if backend is available.
bool | cv::videoio_registry::isBackendBuiltIn (VideoCaptureAPIs api)
| Returns true if backend is built in (false if backend is used as plugin)

## Function Documentation

## ◆ getBackendName()

cv::String cv::videoio_registry::getBackendName | ( | VideoCaptureAPIs | api | ) |

Python:
| cv.videoio_registry.getBackendName( | api | ) -> | retval

`#include <opencv2/videoio/registry.hpp>`

Returns backend API name or "UnknownVideoAPI(xxx)".

Parameters

  api | backend ID (VideoCaptureAPIs)

## ◆ getBackends()

std::vector< VideoCaptureAPIs > cv::videoio_registry::getBackends | ( |  | ) |

Python:
| cv.videoio_registry.getBackends( |  | ) -> | retval

`#include <opencv2/videoio/registry.hpp>`

Returns list of all available backends.

## ◆ getCameraBackendPluginVersion()

std::string cv::videoio_registry::getCameraBackendPluginVersion | ( | VideoCaptureAPIs | api,
|  | int & | version_ABI,
|  | int & | version_API )

Python:
| cv.videoio_registry.getCameraBackendPluginVersion( | api | ) -> | retval, version_ABI, version_API

`#include <opencv2/videoio/registry.hpp>`

Returns description and ABI/API version of videoio plugin's camera interface.

## ◆ getCameraBackends()

std::vector< VideoCaptureAPIs > cv::videoio_registry::getCameraBackends | ( |  | ) |

Python:
| cv.videoio_registry.getCameraBackends( |  | ) -> | retval

`#include <opencv2/videoio/registry.hpp>`

Returns list of available backends which works via `cv::VideoCapture(int index)`

## ◆ getStreamBackendPluginVersion()

std::string cv::videoio_registry::getStreamBackendPluginVersion | ( | VideoCaptureAPIs | api,
|  | int & | version_ABI,
|  | int & | version_API )

Python:
| cv.videoio_registry.getStreamBackendPluginVersion( | api | ) -> | retval, version_ABI, version_API

`#include <opencv2/videoio/registry.hpp>`

Returns description and ABI/API version of videoio plugin's stream capture interface.

## ◆ getStreamBackends()

std::vector< VideoCaptureAPIs > cv::videoio_registry::getStreamBackends | ( |  | ) |

Python:
| cv.videoio_registry.getStreamBackends( |  | ) -> | retval

`#include <opencv2/videoio/registry.hpp>`

Returns list of available backends which works via `cv::VideoCapture(filename)`

## ◆ getWriterBackendPluginVersion()

std::string cv::videoio_registry::getWriterBackendPluginVersion | ( | VideoCaptureAPIs | api,
|  | int & | version_ABI,
|  | int & | version_API )

Python:
| cv.videoio_registry.getWriterBackendPluginVersion( | api | ) -> | retval, version_ABI, version_API

`#include <opencv2/videoio/registry.hpp>`

Returns description and ABI/API version of videoio plugin's writer interface.

## ◆ getWriterBackends()

std::vector< VideoCaptureAPIs > cv::videoio_registry::getWriterBackends | ( |  | ) |

Python:
| cv.videoio_registry.getWriterBackends( |  | ) -> | retval

`#include <opencv2/videoio/registry.hpp>`

Returns list of available backends which works via `cv::VideoWriter()`

## ◆ hasBackend()

bool cv::videoio_registry::hasBackend | ( | VideoCaptureAPIs | api | ) |

Python:
| cv.videoio_registry.hasBackend( | api | ) -> | retval

`#include <opencv2/videoio/registry.hpp>`

Returns true if backend is available.

## ◆ isBackendBuiltIn()

bool cv::videoio_registry::isBackendBuiltIn | ( | VideoCaptureAPIs | api | ) |

Python:
| cv.videoio_registry.isBackendBuiltIn( | api | ) -> | retval

`#include <opencv2/videoio/registry.hpp>`

Returns true if backend is built in (false if backend is used as plugin)